net.corda.node.services.persistence

## Class DataVending

- net.corda.node.services.persistence.DataVending

-     public class DataVending

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataVending.Plugin`
    `static class` | `DataVending.Service` This class sets up network message handlers for requests from peers for data keyed by hash. It is a piece of simple glue that sits between the network layer and the database layer.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DataVending` | `INSTANCE`

- - ### Field Detail

    - #### INSTANCE

          public static DataVending INSTANCE